=== debian/changelog ===
hdf5-filter-plugin (0.0~git20210706.d469f17-1) unstable; urgency=medium

  * New upstream release.
  * add patch to make tests work
    (thanks to Enirco Zini)

 -- Thorsten Alteholz <debian@alteholz.de>  Wed, 02 Nov 2022 22:54:31 +0000
