=== debian/control ===
Source: hdf5-filter-plugin
Priority: optional
Section: science
Maintainer: Thorsten Alteholz <debian@alteholz.de>
Build-Depends: debhelper-compat (= 13)
	, cmake
	, libhdf5-dev
	, liblz4-dev
	, libbz2-dev
Homepage: https://github.com/nexusformat/HDF5-External-Filter-Plugins
Standards-Version: 4.6.0
Rules-Requires-Root: no
Vcs-Browser: https://salsa.debian.org/debian/hdf5-filter-plugin
Vcs-Git: https://salsa.debian.org/debian/hdf5-filter-plugin.git

Package: hdf5-filter-plugin
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Multi-Arch: foreign
Description: external filters for HDF5: LZ4, BZip2, Bitshuffle
 The external filter mechanism introduced with HDF5 1.8.12 allows
 applications to utilize custom filters not shipped by the HDF5
 core library without recompiling your application. This package
 provides external filters for HDF5 for
 .
  - the LZ4 compression algorithm
  - BZip2 compression
  - Bitshuffle
